function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/07_Atelier_Table_HO.lua', 'hidden_object', 'data/Scenes/07_Atelier_Main.lua')
    
    play_field:IgnoreOnTestPoint('BG_Naperstok3');
    play_field:IgnoreOnTestPoint('BG_Chasy');
    play_field:IgnoreOnTestPoint('BG_Metr');
    play_field:IgnoreOnTestPoint('BG_Bulavka2');
    
    AddTask(CreateTask('BASKET',  '',         'Basket'));
    AddTask(CreateTask('CUP',     '',         'Cup'));
    AddTask(CreateTask('IRON',    '',         'Iron'));
    AddTask(CreateTask('PIPETTE', '',         'Pipette'));
    AddTask(CreateTask('NEEDLE',  'NEEDLES',  'Needle1', 'Needle2', 'Needle3'));
    --AddTask(CreateTask('FLOWERS', 'FLOWERS',  'Flowers1', 'Flowers2', 'Flowers3')); -- EAP-476
    AddTask(CreateTask('BUTTON',  'BUTTONS',  'Button1',  'Button2',  'Button3'));
    AddTask(CreateTask('THIMBLE', 'THIMBLES', 'Thimble1', 'Thimble2', 'Thimble3'));
    
    AddRandomTasks( CreateTask('BRUSH',           '',            'Brush'),
                    CreateTask('CHALK',           'CHALKS',      'Chalk1', 'Chalk2', 'Chalk3'),
                    CreateTask('SPOOL_OF_TWINE',  '',            'Clew1'),
                    CreateTask('BALL_OF_YARN',    '',            'Clew2'),
                    CreateTask('SPOOL_OF_THREAD', '',            'Clew3'),
                    CreateTask('CLOTHESPIN',      'CLOTHESPINS', 'Clothespin1', 'Clothespin2', 'Clothespin3'),
                    CreateTask('COAT_HANGER',     '',            'CoatHanger'),
                    CreateTask('CROSS',           'CROSSES',     'Cross1', 'Cross2', 'Cross3'),
                    CreateTask('TEST_TUBE',       '',            'Flask'),
                    CreateTask('KNIFE',           '',            'Knife'),
                    CreateTask('NEEDLE_HOLDER',   '',            'NeedleHolder'),
                    CreateTask('POCKET_WATCH',    '',            'PocketWatch'),
                    CreateTask('RULER',           '',            'Ruler'),
                    CreateTask('SAFETY_PIN',      'SAFETY_PINS', 'SafetyPin1', 'SafetyPin2', 'SafetyPin3'),
                    CreateTask('SANDGLASS',       '',            'SandGlass'),
                    CreateTask('TAPE_MEASURE',    '',            'TapeMeasure'),
                    CreateTask('TEMPLATE',        'TEMPLATES',   'Template1', 'Template2', 'Template3'));
             
    
    RegisterToolFindInfo('07_pipette');
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Basket.png',0,0,160,168,1,0)
	anim:SetHotSpot(80,84)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Basket',anim,946,79,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Brush.png',0,0,138,108,1,0)
	anim:SetHotSpot(69,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Brush',anim,742,331,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Button1.png',0,0,51,43,1,0)
	anim:SetHotSpot(25,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Button1',anim,871,583,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Button2.png',0,0,38,35,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Button2',anim,683,167,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Button3.png',0,0,44,36,1,0)
	anim:SetHotSpot(22,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Button3',anim,81,471,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Casket.png',0,0,187,434,1,0)
	anim:SetHotSpot(93,217)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Casket',anim,335,385,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Chalk1.png',0,0,68,68,1,0)
	anim:SetHotSpot(34,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Chalk1',anim,562,73,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Chalk2.png',0,0,57,54,1,0)
	anim:SetHotSpot(28,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Chalk2',anim,843,322,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Chalk3.png',0,0,53,62,1,0)
	anim:SetHotSpot(26,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Chalk3',anim,238,506,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Clew1.png',0,0,116,78,1,0)
	anim:SetHotSpot(58,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clew1',anim,901,449,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Clew2.png',0,0,83,84,1,0)
	anim:SetHotSpot(41,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clew2',anim,128,378,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Clew3.png',0,0,59,66,1,0)
	anim:SetHotSpot(29,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clew3',anim,766,124,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Clothespin1.png',0,0,85,47,1,0)
	anim:SetHotSpot(42,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clothespin1',anim,551,363,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Clothespin2.png',0,0,87,47,1,0)
	anim:SetHotSpot(43,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clothespin2',anim,819,203,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Clothespin3.png',0,0,94,47,1,0)
	anim:SetHotSpot(47,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clothespin3',anim,250,630,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/CoatHanger.png',0,0,100,49,1,0)
	anim:SetHotSpot(50,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('CoatHanger',anim,121,75,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Cross1.png',0,0,40,36,1,0)
	anim:SetHotSpot(20,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cross1',anim,509,314,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Cross2.png',0,0,33,30,1,0)
	anim:SetHotSpot(16,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cross2',anim,908,175,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Cross3.png',0,0,35,35,1,0)
	anim:SetHotSpot(17,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cross3',anim,832,601,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Cup.png',0,0,141,122,1,0)
	anim:SetHotSpot(70,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cup',anim,679,65,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Flowers1.png',0,0,114,111,1,0)
	anim:SetHotSpot(57,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flowers1',anim,733,226,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Flowers2.png',0,0,122,111,1,0)
	anim:SetHotSpot(61,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flowers2',anim,345,606,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Flowers3.png',0,0,105,100,1,0)
	anim:SetHotSpot(52,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flowers3',anim,922,571,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Iron.png',0,0,132,179,1,0)
	anim:SetHotSpot(66,89)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Iron',anim,962,257,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Jug.png',0,0,143,371,1,0)
	anim:SetHotSpot(71,185)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Jug',anim,208,365,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Knife.png',0,0,128,81,1,0)
	anim:SetHotSpot(64,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Knife',anim,682,103,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Needle1.png',0,0,78,58,1,0)
	anim:SetHotSpot(39,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Needle1',anim,152,220,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Needle2.png',0,0,72,47,1,0)
	anim:SetHotSpot(36,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Needle2',anim,861,155,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Needle3.png',0,0,67,64,1,0)
	anim:SetHotSpot(33,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Needle3',anim,434,567,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/NeedleHolder.png',0,0,107,126,1,0)
	anim:SetHotSpot(53,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('NeedleHolder',anim,664,324,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Pins1.png',0,0,91,60,1,0)
	anim:SetHotSpot(45,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pins1',anim,845,93,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Pins2.png',0,0,88,70,1,0)
	anim:SetHotSpot(44,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pins2',anim,126,530,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Pins3.png',0,0,71,46,1,0)
	anim:SetHotSpot(35,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pins3',anim,530,161,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/PocketWatch.png',0,0,74,64,1,0)
	anim:SetHotSpot(37,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PocketWatch',anim,420,266,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Ruler.png',0,0,198,31,1,0)
	anim:SetHotSpot(99,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ruler',anim,829,284,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/SafetyPin1.png',0,0,69,45,1,0)
	anim:SetHotSpot(34,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SafetyPin1',anim,949,620,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/SafetyPin2.png',0,0,58,43,1,0)
	anim:SetHotSpot(29,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SafetyPin2',anim,511,246,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/SafetyPin3.png',0,0,35,46,1,0)
	anim:SetHotSpot(17,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SafetyPin3',anim,1003,142,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/SandGlass.png',0,0,50,79,1,0)
	anim:SetHotSpot(25,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SandGlass',anim,39,121,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/TapeMeasure.png',0,0,95,54,1,0)
	anim:SetHotSpot(47,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('TapeMeasure',anim,588,572,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Template1.png',0,0,131,54,1,0)
	anim:SetHotSpot(65,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Template1',anim,428,54,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Template2.png',0,0,110,64,1,0)
	anim:SetHotSpot(55,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Template2',anim,692,466,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Template3.png',0,0,161,55,1,0)
	anim:SetHotSpot(80,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Template3',anim,159,583,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Thimble1.png',0,0,47,49,1,0)
	anim:SetHotSpot(23,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Thimble1',anim,735,584,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Thimble2.png',0,0,44,67,1,0)
	anim:SetHotSpot(22,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Thimble2',anim,414,339,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Thimble3.png',0,0,47,39,1,0)
	anim:SetHotSpot(23,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Thimble3',anim,519,80,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/BG_Bulavka1.png',0,0,28,27,1,0)
	anim:SetHotSpot(14,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Bulavka1',anim,933,619,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/BG_Bulavka2.png',0,0,31,24,1,0)
	anim:SetHotSpot(15,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Bulavka2',anim,512,238,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/BG_Bulavki3.png',0,0,35,42,1,0)
	anim:SetHotSpot(17,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Bulavki3',anim,526,157,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/BG_Chasy.png',0,0,65,25,1,0)
	anim:SetHotSpot(32,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Chasy',anim,414,239,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/BG_Lekalo1.png',0,0,70,22,1,0)
	anim:SetHotSpot(35,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Lekalo1',anim,394,74,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/BG_Metr.png',0,0,50,62,1,0)
	anim:SetHotSpot(25,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Metr',anim,559,566,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/BG_Naperstok3.png',0,0,42,28,1,0)
	anim:SetHotSpot(21,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Naperstok3',anim,514,90,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/BG_Pesochnye chasy.png',0,0,27,52,1,0)
	anim:SetHotSpot(13,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Pesochnye chasy',anim,26,131,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Layers/BG_Veshalka.png',0,0,34,30,1,0)
	anim:SetHotSpot(17,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Veshalka',anim,119,56,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Flask.png',0,0,88,50,1,0)
	anim:SetHotSpot(44,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flask',anim,838,540,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/07_Atelier/Zone_table_HO/Items/Pipette.png',0,0,98,26,1,0)
	anim:SetHotSpot(49,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pipette',anim,659,260,101,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
